com.independentsoft.exchange

## Class UserConfigurationName

- java.lang.Object
- - com.independentsoft.exchange.UserConfigurationName

-     public class UserConfigurationName
      extends java.lang.Object

  Represents the name of a user configuration object. The user configuration object name is the identifier for a user configuration object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserConfigurationName()` Initializes a new instance of the UserConfigurationName class.
    `UserConfigurationName(java.lang.String name, FolderId folderId)` Initializes a new instance of the UserConfigurationName class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FolderId` | `getFolderId()` Gets the folder identifier of the folder that contains the user configuration object.
    `java.lang.String` | `getName()` Gets a distinguished folder name of the folder that contains the user configuration object.
    `void` | `setFolderId(FolderId folderId)` Sets the folder identifier of the folder that contains the user configuration object.
    `void` | `setName(java.lang.String name)` Sets a distinguished folder name of the folder that contains the user configuration object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserConfigurationName

          public UserConfigurationName()

      Initializes a new instance of the UserConfigurationName class.

    - #### UserConfigurationName

          public UserConfigurationName(java.lang.String name,
                                       FolderId folderId)

      Initializes a new instance of the UserConfigurationName class.
      Parameters:
        `name` - the name
        `folderId` - the folder id

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets a distinguished folder name of the folder that contains the user configuration object.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets a distinguished folder name of the folder that contains the user configuration object.
      Parameters:
        `name` - the new name

    - #### getFolderId

          public FolderId getFolderId()

      Gets the folder identifier of the folder that contains the user configuration object.
      Returns:
        the folder id

    - #### setFolderId

          public void setFolderId(FolderId folderId)

      Sets the folder identifier of the folder that contains the user configuration object.
      Parameters:
        `folderId` - the new folder id